

# CancelMetadataGenerationRun


Cancels the metadata generation run.

Prerequisites:
+ The run must exist and be in a cancelable status (e.g., SUBMITTED, IN\$1PROGRESS). 
+ Runs in SUCCEEDED status cannot be cancelled.
+ User must have access to the run and cancel permissions.

## Request Syntax


```
POST /v2/domains/domainIdentifier/metadata-generation-runs/identifier/cancel HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [domainIdentifier](#API_CancelMetadataGenerationRun_RequestSyntax) **   <a name="datazone-CancelMetadataGenerationRun-request-uri-domainIdentifier"></a>
The ID of the Amazon DataZone domain in which the metadata generation run is to be cancelled.  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}`   
Required: Yes

 ** [identifier](#API_CancelMetadataGenerationRun_RequestSyntax) **   <a name="datazone-CancelMetadataGenerationRun-request-uri-identifier"></a>
The ID of the metadata generation run.  
Pattern: `[a-zA-Z0-9_-]{1,36}`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
There is a conflict while performing this action.  
HTTP Status Code: 409

 ** InternalServerException **   
The request has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource cannot be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** UnauthorizedException **   
You do not have permission to perform this action.  
HTTP Status Code: 401

 ** ValidationException **   
The input fails to satisfy the constraints specified by the AWS service.  
HTTP Status Code: 400

## Examples


### Example


This example illustrates one usage of CancelMetadataGenerationRun.

#### Sample Request


```
aws datazone cancel-metadata-generation-run \
--domain-identifier "dzd_53ielnpxktdilj" \
--identifier "mgr5g0fy285m1q"
```

### Example


Failure case - validation error - succeeded cannot be cancelled:

#### Sample Request


```
aws datazone cancel-metadata-generation-run \
--domain-identifier "dzd_53ielnpxktdilj" \
--identifier "mgr3tlpxo4mg5q"
```

#### Sample Response


```
An error occurred (ValidationException) when calling the CancelMetadataGenerationRun operation: The MetadataGenerationRun in SUCCEEDED status cannot be canceled.
```

### Example


Failure case - validation error - succeeded cannot be cancelled: 

#### Sample Request


```
aws datazone cancel-metadata-generation-run \
--domain-identifier "dzd_53ielnpxktdilj" \
--identifier "mgr_nonexistent"
```

#### Sample Response


```
An error occurred (ResourceNotFoundException) when calling the CancelMetadataGenerationRun operation: Requested prediction cannot be found in domain
```

### Example


Failure case - missing parameter:

#### Sample Request


```
aws datazone cancel-metadata-generation-run
```

#### Sample Response


```
aws: error: the following arguments are required: —domain-identifier, —identifier
```

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/datazone-2018-05-10/CancelMetadataGenerationRun) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/datazone-2018-05-10/CancelMetadataGenerationRun) 